﻿Type=Activity
Version=5.02
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

	
#Extends: android.support.v7.app.ActionBarActivity

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim AC As AppCompat
	Dim ABHelper As ACActionBar

	Private ActionBar As ACToolBarLight
	Private pContent As Panel
	Private cbABVisible As ACCheckBox
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("main")

	'Set the Toolbar (from the loaded layout) as the ActionBar of this activity.
	ActionBar.SetAsActionBar

	'Set Title and Subtitle for the Toolbar
	ActionBar.Title = "AppCompat"
	ActionBar.SubTitle = "Toolbar Example 1"
	
'	ActionBar.SubTitleTextColor = Colors.White
'	ActionBar.TitleTextColor = Colors.White
	
	
	'Because the Toolbar is part of out layout we split up our layout in a main layout file
	'(which only has the Toolbar and a ContentPanel) and a content layout which has all the
	'visible controls.
	pContent.LoadLayout("content")

	'sync the controls with current state of ActionBar/Toolbar
	cbABVisible.Checked = True
	
	ABHelper.Initialize
	ABHelper.ShowUpIndicator = True

	'The AppCompat object has some helper methods to get the height for StatusBar, ActionBar and NavigationBar.
	'For the ActionBar there are two methods. GetStdActionBarHeight gets the standard ActionBar Height of the device.
	'Be aware that this is not necessarily the height defined by the material design guidelines. There is a second
	'method GetMaterialActionBarHeight which returns the ActionBar height as defined in the material design guidelines
	'regardless of the Android version.
	Log("ActionBar Height: " & (AC.GetMaterialActionBarHeight / DipToCurrent(1)))
	
	'Add some MenuItems
	'The best method to add action icons to the ActionBar/Toolbar is to load them as drawables.
	'With this method it is possible to load icons in different resolutions taking care of the device scale.
	'We use the XmlLayoutBuilder library to load the drawables.
	Dim xml As XmlLayoutBuilder
	Dim bd As BitmapDrawable
	bd = xml.GetDrawable("ic_plus_one_black_24dp")
	Activity.AddMenuItem3("Plus one", "Menu", bd.Bitmap, True)
	
	bd = xml.GetDrawable("ic_refresh_black_24dp")
	Activity.AddMenuItem3("Refresh", "Menu", bd.Bitmap, True)
	
	Activity.AddMenuItem("Overflow1", "Menu")
	Activity.AddMenuItem("Overflow2", "Menu")
	Activity.AddMenuItem("Overflow3", "Menu")
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Activity_ActionBarHomeClick
	Log("Home clicked")
End Sub
